/*-
 * ============LICENSE_START=======================================================
 * PolicyEngineUtils
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.api;

/**
 * Defines the methods which need to run when an Event or Notification is received.
 *
 * @version 0.1
 */
@FunctionalInterface
public interface NotificationHandler {

    /**
     * <code>notificationReceived</code> method will be triggered automatically whenever a Notification is received by the PEP.
     *
     * @param notification <code>PDPNotification</code> of {@link org.onap.policy.api.PDPNotification}
     * is the object that has information of the notification.
     */
    void notificationReceived(PDPNotification notification);
}
